This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 718627 - [abrt] ibus-1.3.99.20110419-7.fc15: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Context which does not has focus can not change engine to xkb:layout:default.
[abrt] ibus-1.3.99.20110419-7.fc15: connection.py:630:call_blocking:DBusExcep...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:122614378efc89d2325c8c65804...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-04 00:25 EDT by Harshula Jayasuriya
Modified: 2012-07-26 02:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 02:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Harshula Jayasuriya 2011-07-04 00:25:02 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/share/ibus/ui/gtk/main.py
component:      ibus
executable:     /usr/share/ibus/ui/gtk/main.py
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110419-7.fc15
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Context which does not has focus can not change engine to xkb:layout:default.
time:           Mon Jul  4 14:18:18 2011

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Context which does not has focus can not change engine to xkb:layout:default.
:
:Traceback (most recent call last):
:  File "/usr/share/ibus/ui/gtk/panel.py", line 620, in __im_menu_item_activate_cb
:    self.__focus_ic.set_bridge_engine()
:  File "/usr/lib/python2.7/site-packages/ibus/inputcontext.py", line 287, in set_bridge_engine
:    return self.__context.SetEngine(_config.DEFAULT_BRIDGE_ENGINE_NAME)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.Failed: Context which does not has focus can not change engine to xkb:layout:default.
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus.connection.Connection object at 0x2709470>
:args: ('xkb:layout:default',)
:utf8_strings: False
:bus_name: 'org.freedesktop.IBus'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: dbus.ObjectPath('/org/freedesktop/IBus/InputContext_33')
:timeout: -1.0
:signature: u's'
:dbus_interface: 'org.freedesktop.IBus.InputContext'
:message: <dbus.lowlevel.MethodCallMessage object at 0x265cb28>
:method: 'SetEngine'

comment:
:1) Enable IBus
:2) Try switching between the default English XKB layout and ibus-m17n IMs
:3) Eventually English XKB disappears and IBus crashes.
Comment 1 falsedust 2011-07-12 02:08:11 EDT
Package: ibus-1.3.99.20110419-7.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
changing imput method
Comment 2 Akira TAGOH 2012-06-26 02:59:11 EDT
Any updates?
Comment 3 Parag Nemade 2012-07-26 02:40:22 EDT
Closing this as ibus package has moved ahead to 1.4.99 version.

report any issues against testing new ibus in f17/18

Note You need to log in before you can comment on or make changes to this bug.